Package org.apache.lucene.index

# Class KnnVectorValues.DocIndexIterator

java.lang.Object
org.apache.lucene.search.DocIdSetIterator
org.apache.lucene.index.KnnVectorValues.DocIndexIterator

Direct Known Subclasses:
  `SortingCodecReader.SortingValuesIterator`

Enclosing class:
  `KnnVectorValues`

public abstract static class KnnVectorValues.DocIndexIterator extends DocIdSetIterator
A DocIdSetIterator that also provides an index() method tracking a distinct ordinal for a vector associated with each doc.

## Field Summary

### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

`NO_MORE_DOCS`

## Constructor Summary

Constructors
Constructor
Description
`DocIndexIterator()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`index()`
return the value index (aka "ordinal" or "ord") corresponding to the current doc

### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

`advance, all, cost, docID, empty, nextDoc, range, slowAdvance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocIndexIterator

public DocIndexIterator()

## Method Details

### index

public abstract int index()
return the value index (aka "ordinal" or "ord") corresponding to the current doc